Bug 210350 - no boot with cpqarray
no boot with cpqarray
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Konrad Rzeszutek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-11 13:11 EDT by Dan Horák
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-05 10:31:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot log (53.46 KB, image/jpeg)
2006-10-11 13:11 EDT, Dan Horák
no flags Details

  None (edit)
Description Dan Horák 2006-10-11 13:11:23 EDT
Description of problem:
When booting a server (old Compaq DL 360) with kernel-2.6.9-42.0.x.EL, then it
stops during initialization of cpqarray driver. For details see the attachment.

Version-Release number of selected component (if applicable):
kernel-2.6.9-42.0.x.EL

How reproducible:
allways

Steps to Reproduce:
1. boot kernel 2.6.9-42.0.x
  
Actual results:
unlimited wait during cpqarray initialization

Expected results:
successful boot

Additional info:
kernel-2.6.9-34 boots OK and there is a difference in the interrupt assigning
line "ACPI: PCI interrupt ..." between 2.6.9-34 and 2.6.9-42

relevant part of dmesg:
NET: Registered protocol family 17
ACPI: (supports S0 S4 S5)
ACPI wakeup devices:

Freeing unused kernel memory: 144k freed
SCSI subsystem initialized
Compaq SMART2 Driver (v 2.6.0)
cpqarray: Device 0x10 has been found at bus 0 dev 1 func 0
ACPI: PCI interrupt 0000:00:01.0[A] -> GSI 11 (level, low) -> IRQ 11
cpqarray: Finding drives on ida0Using cfq io scheduler
 (Integrated Array)
cpqarray ida/c0d0: blksz=512 nr_blks=17756160
cpqarray: Starting firmware's background processing
 ida/c0d0: p1 p2
device-mapper: 4.5.0-ioctl (2005-10-04) initialised: dm-devel@redhat.com
kjournald starting.  Commit interval 5 seconds
Comment 1 Dan Horák 2006-10-11 13:11:24 EDT
Created attachment 138258 [details]
boot log
Comment 2 Dan Horák 2006-10-11 13:19:52 EDT
adding "noapic" to the kernel boot parameters makes the machine to boot
Comment 3 Jason Baron 2007-02-09 16:33:37 EST
So this only affects the 'UP' kernel?
Comment 4 Dan Horák 2007-02-13 16:11:21 EST
I will try to do some up/smp boots tomorrow.
Comment 5 Konrad Rzeszutek 2007-02-27 12:45:47 EST
ping?
Comment 6 Dan Horák 2007-02-28 08:12:23 EST
pong

I am sorry, but it is quite important machine. It will be possible to do the
reboots during this weekend, I am sure.
Comment 7 Dan Horák 2007-03-05 02:49:07 EST
The results are here:
- 2.6.9-42.0.8smp - without noapic => boots OK
- 2.6.9-42.0.10 - without noapic => boots OK

I did not have any older kernel version, e.g. 2.6.9-42.0.2
Comment 8 Konrad Rzeszutek 2007-03-05 10:31:10 EST
OK. Closing BZ as NOTABUG then.

Thank you for checking the later releases.

Note You need to log in before you can comment on or make changes to this bug.